/*
 * ar4c-dcdc - leds.c
 *
 * Leds control
 *
 * Copyright (C) 2014  Krzysztof Mazur <krzysiek@podlesie.net>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 */

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif
#include <stdio.h>
#include <leds.h>

static unsigned char leds;

void led_set(unsigned char mask)
{
	leds |= mask;
	fprintf(stderr, "leds: %02x\n", leds);
}

void led_clear(unsigned char mask)
{
	leds &= ~mask;
	fprintf(stderr, "leds: %02x\n", leds);
}

void leds_init(void)
{
}
